Results 1 to 7 of 7

Thread: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

  1. #1

    Default Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    I'm trying to follow the above howto, but when I try to run the "zypper refresh -r PTA" line, I get the following;-

    Retrieving repository 'PTA' metadata [error]
    Repository 'PTA' is invalid.
    [|] Repository type can't be determined.
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'PTA' because of the above error.
    Could not refresh the repositories because of errors.

    Can somebody please shed some light on this?

    Thanks

    John Jones

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    Which version of openSUSE do you use and what does the output of
    Code:
    zypper lr -d
    show (please post it). It will list your repositories with their URL so that
    we can see what PTA is on your machine.

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  3. #3

    Default Re: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    Yeah, sorry, should have mentioned the version; it's openSUSE 11.

    Running "zypper lr -d" gave the following;-

    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+----------------------------------+----------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------+--------
    1 | PTA | PTA | Yes | No | 99 | NONE | http://download.opensuse.org/reposit...openSUSE_11.4/ |
    2 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes | Yes | 99 | rpm-md | Index of /update/11.4 |
    3 | nVidia Graphics Drivers | nVidia Graphics Drivers | Yes | Yes | 99 | rpm-md | ftp://download.nvidia.com/opensuse/11.4/ |
    4 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-DVDR_PX-750A,/dev/sr0 |
    5 | repo-debug | openSUSE-11.4-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/11.4/repo/oss |
    6 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/11.4 |
    7 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/non-oss |
    8 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/oss |
    9 | repo-source | openSUSE-11.4-Source | No | Yes | 99 | NONE | Index of /source/distribution/11.4/repo/oss |

    Thanks,

    John Jones

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,288

    Default Re: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    Your PTA repository does not exist remove it.

    Note if you put your code here on the board with code tags you will not get the full code not abbreviated stuff that we can not read. You can get the tags by going to advanced mode or placing [tag] [/tag] around the text where tag is code.

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default AW: Re: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    Quote Originally Posted by gogalthorp View Post
    Your PTA repository does not exist remove it.

    Note if you put your code here on the board with code tags you will not get the full code not abbreviated stuff that we can not read. You can get the tags by going to advanced mode or placing [tag] [/tag] around the text where tag is code.
    +1 for the code tags.

    @johannesjones
    Beside that it simply looks as if you used a crippled url for this repository. Check where you had that link originally from and correct it, otherwise you can only do what gogalthorp told you - remove the repo.

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default AW: Re: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    Do the following
    Code:
    su -
    zypper rr PTA
    zypper ar http://download.opensuse.org/repositories/home:/please_try_again/openSUSE_11.4/ PTA 
    zypper refresh -r PTA
    report back if it worked.

  7. #7

    Default Re: Having trouble running howto "Updategrub for openSUSE Legacy Grub (not update-grub!)"

    It worked. Thank you.

    I think where I was going wrong was that I was substituting my username for "please_try_again" in the line "zypper ar Index of /repositories/home:/please_try_again/openSUSE_11.4 PTA".

    Thanks again.

    gogalthorp

    Note if you put your code here on the board with code tags you will not get the full code not abbreviated stuff that we can not read. You can get the tags by going to advanced mode or placing [tag] [/tag] around the text where tag is code.
    Thanks for the tip, gogalthorp, I'll keep it in mind if there's a next time. I don't do much posting, so I don't know all the ins and outs.


    John

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •